Bug 45851 - FarmWarDeployer fails to properly unpack copied war on target node
FarmWarDeployer fails to properly unpack copied war on target node
Product: Tomcat 6
Classification: Unclassified
Component: Cluster
PC Windows Server 2003
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
: 42681 (view as bug list)
Depends on:
  Show dependency tree
Reported: 2008-09-19 22:17 UTC by Paul McGurn
Modified: 2009-01-14 16:33 UTC (History)
1 user (show)

files used to reproduce issue (31.21 KB, text/plain)
2008-09-19 22:17 UTC, Paul McGurn

Note You need to log in before you can comment on or make changes to this bug.
Description Paul McGurn 2008-09-19 22:17:57 UTC
Created attachment 22616 [details]
files used to reproduce issue

When trying to deploy a war to a cluster, it seems that the war will deploy locally when placed in the listener directory, however, it seems that either there is some corruption when moving the war across the wire, or the deployer on the target node is not able to properly unpack and read the files inside.

Pertinent portion of the log from the target node is attached.

I can provide any other info as needed, but not sure what else would be pertinent.  The test.war is simply a war'd copy of the default Tomcat Manager web app.

To reproduce:

1. Configure two nodes two make up a SimpleTCPCluster (version 6.0.18 was used)
2. From either node, drop test.war into the listen directory

* test.war will be deployed locally
* test.war will be copies to the webapps directory on the target
* test.war will not fully deploy on the target

Expected results:
* war unpacked and deployed locally
* copied to each node in the cluster
* war unpacked and deployed on each node of the cluster
Comment 1 Filip Hanik 2008-09-22 19:59:10 UTC
That's correct, in 6.0.x the deployer no longer works. it broke somewhere during 5.5.x when the deployer was rebuilt. 

the fix is to go back to 5.0.x strategy, where the files are copied to a temp directory and deployed from there. but that is work that is to be done. 

contributions happily accepted.

Comment 2 Mark Thomas 2008-09-26 10:38:56 UTC
I've fixed the issues issues I could see in the FarmWarDeployer. Any additional testing much appreciated.

I will propose the fix for inclusion in 6.0.x.
Comment 3 Paul McGurn 2008-09-26 10:45:04 UTC
I can definitely test that more.  If this ends up in the next point release, I'll upgrade my development environment and test.
Comment 4 Mark Thomas 2008-10-06 10:36:21 UTC
*** Bug 42681 has been marked as a duplicate of this bug. ***
Comment 5 Mark Thomas 2009-01-14 16:33:28 UTC
This has been fixed in 6.0.x and will be in 6.0.19 onwards.